// server.js
const express = require('express');
const path = require('path');
const connectDB = require('./mongodb'); // Import the MongoDB connection

const app = express();

// Middleware
app.use(express.json()); // Use express' built-in body-parser for JSON
app.use(express.static(path.join(__dirname, 'public'))); // Serve static files

// Connect to MongoDB
connectDB(); // Call the function to establish the database connection

// Routes
app.use('/api/todos', require('./routes/todos'));
app.use('/api/users', require('./routes/users'));

// Start the server
const PORT = process.env.PORT || 3000;
app.listen(PORT, () => console.log(`Server running on port ${PORT}`));
